import base64

def base64_tool():
    print("Base64 编码/解码工具")
    print("-------------------")
    
    while True:
        print("1. 编码")
        print("2. 解码")
        print("3. 退出")
        choice = input("请选择操作 (1/2/3): ")
        
        if choice == '3':
            print("程序已退出。")
            break
        
        if choice not in ('1', '2'):
            print("无效选择，请重新输入。")
            continue
        
        user_input = input("请输入文本: ")
        
        if not user_input:
            print("输入不能为空，请重新输入。")
            continue
        
        try:
            if choice == '1':
                # 编码
                encoded_bytes = base64.b64encode(user_input.encode('utf-8'))
                result = encoded_bytes.decode('utf-8')
                print(f"Base64 编码结果: {result}")
            else:
                # 解码
                decoded_bytes = base64.b64decode(user_input.encode('utf-8'))
                result = decoded_bytes.decode('utf-8')
                print(f"Base64 解码结果: {result}")
            
            print("-------------------")
        except Exception as e:
            print(f"操作过程中出现错误: {e}")

if __name__ == "__main__":
    base64_tool()
